---
type: api
title: Shuts down Deployment
description: Shuts down all resources in a Deployment.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-shutdown-deployment
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-shutdown-deployment
products:
  - Elastic Cloud Hosted
---

# Shuts down Deployment

- Server: `https://api.elastic-cloud.com/api/v1`

## Paths

- `POST` `/deployments/{deployment_id}/_shutdown`

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment

## Description

Shuts down all resources in a Deployment.

## Query String Parameters

- `hide` (boolean)
  Whether or not to hide the deployment and its resources.Only applicable for Platform administrators.
- `skip_snapshot` (boolean · default: false)
  Whether or not to skip snapshots before shutting down the resources

## Responses

#### `200`

The request was valid and the resources of the deployment were shutdown.

`application/json`

- `id` (string)
  The id of the deployment
- `name` (string)
  The name of the deployment
- `orphaned` ({} Orphaned)
  Details about orphaned resources.
  - `elasticsearch` ([] OrphanedElasticsearch)
    List of orphaned Elasticsearch resources
    - `id` (string)
      The id of the orphaned resource
    - `dependents` ([] ElasticsearchDependant)
      List of orphaned dependent resources
      - `id` (string)
        The id of the orphaned resource
      - `kind` (string)
        The kind of resource
  - `kibana` ([] string)
    List of orphaned Kibana resource ids
  - `apm` ([] string)
    List of orphaned APM resource ids
  - `appsearch` ([] string)
    List of orphaned AppSearch resource ids
  - `enterprise_search` ([] string)
    List of orphaned Enterprise Search resource ids
  - `integrations_server` ([] string)
    List of orphaned Integrations Server resource ids
#### `400`

Parameter is restricted and can only be set by a Platform administrator. (code: `deployments.restricted_parameter`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `401`

You are not authorized to perform this action.

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
#### `404`

The Deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
POST /deployments/{deployment_id}/_shutdown
```

#### curl

```curl
curl -X POST "https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/_shutdown"
```

